import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Specifies a route table for a transit gateway.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-transitgatewayroutetable.html">the AWS Docs</a>
*/
export function transitGatewayRouteTable(transitGatewayRouteTableProps) {
    return new AwsResource('AWS::EC2::TransitGatewayRouteTable', transitGatewayRouteTableProps, { TransitGatewayRouteTableId: 'TransitGatewayRouteTableId' });
}
